searchNodes=[{"ref":"Ecto.Filters.html","title":"Ecto.Filters","type":"module","doc":"Adds a macro add_filter and private function apply_filter/2 to transform request params into ecto query expressions. Example use Ecto.Filters add_filter(:comment_body, fn value, query -&gt; query |&gt; join(:left, [p], c in assoc(p, :comments), as: :comments) |&gt; where([comments: comments], ilike(comments.body, ^value)) end) apply_filters(Post, %{&quot;q&quot; =&gt; %{&quot;comment_body&quot; =&gt; &quot;some text&quot;}}) |&gt; MyRepo.all() [%Post{title: &quot;Ecto Filters&quot;}, ...] Configure the Search Key By default Ecto.Filters looks for :q as the filter parameter key. This can be set by use Ecto.Filters, key: :search."},{"ref":"Ecto.Filters.html#add_filter/2","title":"Ecto.Filters.add_filter/2","type":"macro","doc":""},{"ref":"readme.html","title":"Ecto.Filters","type":"extras","doc":"Ecto.Filters Provides a consistent way to transform request params into ecto query expressions."},{"ref":"readme.html#installation","title":"Ecto.Filters - Installation","type":"extras","doc":"def deps do [ {:ecto_filters, &quot;~&gt; 0.1.1&quot;} ] end"},{"ref":"readme.html#usage","title":"Ecto.Filters - Usage","type":"extras","doc":"defmodule Posts do use Ecto.Filters, key: :search alias MyProject.{Post, Repo} add_filter(:comment_body, fn value, query -&gt; query |&gt; join(:left, [p], c in assoc(p, :comments), as: :comments) |&gt; where([comments: comments], ilike(comments.body, ^value)) end) @doc &quot;&quot;&quot; Returns the list of posts ## Examples iex&gt; list_posts(%{&quot;search&quot; =&gt; %{&quot;comment_body&quot; =&gt; &quot;ecto_filters&quot;}}) [%Post{}, ...] iex&gt; list_posts(%{search: %{comment_body: &quot;ecto_filters&quot;}}) [%Post{}, ...] iex&gt; list_posts(search: [comment_body: &quot;ecto_filters&quot;]) [%Post{}, ...] &quot;&quot;&quot; def list_posts(params) do Post |&gt; apply_filters(params) |&gt; Repo.all() end end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/ecto_filters."}]